#include <jluna.hpp>

int main(int argc, char *argv[])
{
    jluna::initialize();
    jluna::Base["println"]("julia: hello from julia");
    jluna::Main.safe_eval(R"(
        import Pkg
        Pkg.activate("./jlproj-2")
        println("julia: LD_LIBRARY_PATH before = ", get(ENV, "LD_LIBRARY_PATH", ""))
        println("before import Glib_jll")
        import Glib_jll
        libdir_glib = joinpath(Glib_jll.artifact_dir, "lib")
        println(libdir_glib)
        #if haskey(ENV, "LD_LIBRARY_PATH")
        #    ENV["LD_LIBRARY_PATH"] *= ":$libdir_glib:$libdir_libiconv"
        #else
        #    ENV["LD_LIBRARY_PATH"] = "$libdir_glib:$libdir_libiconv"
        #end
        #println("julia: LD_LIBRARY_PATH after  = ", get(ENV, "LD_LIBRARY_PATH", ""))
    )");
    //jluna::Main.safe_eval("import Pkg; Pkg.activate(\"..\"); using Persefone");

    return 0;
}
