# Examples of Julia-C++ embeddings, with and without Qt and jluna

Minimal working and nonworking examples of Julia embedding in C++.
The failure occurrs when we try to `import Glib_jll` from the julia
side.

Works:
- julia alone
- jluna alone

Fails:
- julia, with just an `#include <QGuiApplication>`
- jluna with Qt

Error message:
```
InitError: could not load library "~/.julia/artifacts/20c009b8faa6b86ae9ecc8002f2772cd4724774d/lib/libgio-2.0.so"
~/.julia/artifacts/20c009b8faa6b86ae9ecc8002f2772cd4724774d/lib/libgobject-2.0.so.0: undefined symbol: g_dir_unref
```

Workaround:

- set `LD_LIBRARY_PATH` env var, add the libdir from the `Glib_jll`
  artifact
