#include <jluna.hpp>

int main(int argc, char *argv[])
{
    jluna::initialize();
    jluna::Base["println"]("julia: hello from julia");
    jluna::Main.safe_eval(R"(
        import Pkg
        Pkg.activate("./jlproj")
        println("julia: LD_LIBRARY_PATH before = ", get(ENV, "LD_LIBRARY_PATH", ""))
        println("before import Glib_jll")
        import Glib_jll
        libdir_glib = joinpath(Glib_jll.artifact_dir, "lib")
        println("libdir_glib = ", libdir_glib)
    )");

    return 0;
}
